aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xeyes
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@st.ilet.to>2016-04-14 15:25:14 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-04-18 11:29:18 +0200
commit8ce6dbf227aec58a68d1d3e6aa0264a97de1dfb0 (patch)
tree6a05f96f01c6c809c0e158699e04719790728823 /testing/xeyes
parent03c30e9f2d41929f69d865a946d1a705edfe067d (diff)
downloadaports-8ce6dbf227aec58a68d1d3e6aa0264a97de1dfb0.tar.gz
aports-8ce6dbf227aec58a68d1d3e6aa0264a97de1dfb0.tar.bz2
aports-8ce6dbf227aec58a68d1d3e6aa0264a97de1dfb0.tar.xz
testing/xeyes: new aport
A pair of eyes that follow your mouse in X11 http://www.x.org
Diffstat (limited to 'testing/xeyes')
-rw-r--r--testing/xeyes/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/xeyes/APKBUILD b/testing/xeyes/APKBUILD
new file mode 100644
index 0000000000..51128ffabd
--- /dev/null
+++ b/testing/xeyes/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer: ScrumpyJack <scrumpyjack@me.com>
+pkgname=xeyes
+pkgver=1.1.1
+pkgrel=0
+pkgdesc="A pair of eyes that follow your mouse in X11"
+url="http://www.x.org"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="libx11-dev libxt-dev libxext-dev libxmu-dev libxrender-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.x.org/releases/individual/app/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --datarootdir=/usr/share \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a3035dcecdbdb89e864177c080924981 xeyes-1.1.1.tar.bz2"
+sha256sums="975e98680cd59e1f9439016386609546ed08c284d0f05a95276f96aca6e8a521 xeyes-1.1.1.tar.bz2"
+sha512sums="3cb734239fa3180a9cc0eb2564c5a04f5e5c64ea314079c0604cebdbb821132f95a2c113dab476af8820308f0e6dbd4eac02b5da45dc2ed78a5d3ca010453618 xeyes-1.1.1.tar.bz2"